%define libname libkdevideo
%define _optlevel s

Name: kdetv
Version: 0.8.9
Release: alt2

Summary: Kdetv - KDE Video4Linux Stream Capture Viewer
Summary(ru_RU.UTF-8): Программа KDE для просмотра и сохранения потокового видео через Video4Linux

Group: Video
License: GPL
Url: http://www.kdetv.org/

Source: http://dziegel.free.fr/releases/%name-%version.tar.bz2
Source1: admin.tar.gz
Patch1: %name-0.8.5-patch
Patch2: kdetv-0.8.9-alt-fix-linking.patch

Obsoletes: kwintv


Requires: %libname = %version-%release

# manually removed: boson gcc-g77 graphviz hostinfo qt3-doc qt3-designer kde-i18n-ru kde-settings xorg-x11-devel-static
# Automatically added by buildreq on Mon Apr 02 2007
BuildRequires: doxygen gcc-c++ kdepim-devel libdnet-devel libjpeg-devel liblirc-devel xorg-x11-devel
BuildRequires: libzvbi-devel xml-utils libalsa-devel liblirc-devel

%description
Kdetv allows you to watch TV in a window on your PC screen.
It has more or less the same abilities as xawtv
but it is is based on Qt and integrated in KDE.

%description -l ru_RU.UTF-8
Kdetv позволяет смотреть телевизионные программы в окне
на экране вашего компьютера. Она имеет примерно те же
возможности как xawtv, но основана на Qt и интегрирована
в KDE.

%package -n %libname
Summary: kdevideo libraries
Group: System/Libraries
License: LGPL
Obsoletes: libqtvision1

%description -n %libname
These libraries provide TV support to KDE.

%package -n %libname-devel
Summary: kdevideo libraries
Group: System/Libraries
License: LGPL
Requires: %libname = %version-%release
Obsoletes: libqtvision1-devel

%description -n %libname-devel
These're the files needed to develop applications that use qtvision libraries.

%prep
%setup -q -n %name-%version -a1
%patch1 -p0
%patch2 -p1
#%__subst "s/\.la/\.so/g" configure
#%__subst "s/\-lkdeui/-lkdeui -lqt -lDCOP/g" configure
make -f admin/Makefile.common cvs ||:

%build

%configure \
    --disable-rpath \
    --disable-debug \
    --enable-new-ldflags \
%ifarch x86_64
    --enable-libsuffix=64 \
%endif
    --enable-kdetv-lirc
#    --enable-final

%make

%install
# Due strange problem with relinking:
#find ./ -name "*.la" -exec rm {} \;
%make_install install DESTDIR=%buildroot

rm -rf %buildroot%_docdir/libqtvision1-0.8.0/COPYING
rm -rf %buildroot%_docdir/libqtvision1-devel-0.8.0/COPYING

%__chmod 4755 %buildroot/%_bindir/kdetvv4lsetup

%find_lang --with-kde %name

%post
%update_menus

%postun
%clean_menus

%post -n %libname
%post_ldconfig

%postun -n %libname
%postun_ldconfig

%files -f %name.lang
%_bindir/*
%_iconsdir/*/*/apps/kdetv.*
%_datadir/apps/kdetv/
%_datadir/applnk/Multimedia/kdetv.desktop
%_datadir/apps/profiles/kdetv.profile.xml
%_datadir/services/kdetv/*.desktop
%_datadir/servicetypes/kdetv/*.desktop

%files -n %libname
%_libdir/kde3/*.so*
%_libdir/*.so
%_libdir/*.so.*

#%files -n %libname-devel
#%_libdir/kde3/*.la

%changelog
* Tue Dec 25 2007 Sergey V Turchin <zerg at altlinux dot org> 0.8.9-alt2
- fixed build with new autotools

* Mon Apr 02 2007 Sergey V Turchin <zerg at altlinux dot org> 0.8.9-alt1
- new version

* Thu Oct 06 2005 Vitaly Lipatov <lav@altlinux.ru> 0.8.8-alt1
- new version

* Mon Jun 06 2005 Vitaly Lipatov <lav@altlinux.ru> 0.8.7-alt1
- new version

* Mon Nov 08 2004 Vitaly Lipatov <lav@altlinux.ru> 0.8.3-alt1
- new version
- cleanup spec

* Sat Jul 10 2004 Vitaly Lipatov <lav@altlinux.ru> 0.8.1-alt1
- first build for Sisyphus

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- First package

